Page MenuHomePhabricator

evas/events: fix multi-touch object targeting on touch down events
ClosedPublic

Authored by zmike on Jan 23 2020, 12:25 PM.

Details

Summary

a touch press is both a touch and a move event, which means the canvas must
update its list of target objects on the first touch press to avoid using the
wrong objects when processing events

@fix

Depends on D11155

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 23 2020, 12:25 PM
CHAN added a comment.Jan 28 2020, 3:01 AM

@zmike

I think I know what the intended commit is, though

Please let me know in which case the issue occurred.

I will look around that case to check some cases.

Thank you.

zmike added a comment.Jan 28 2020, 6:47 AM

@CHAN I don't recall exactly, but at least one of the gesture unit tests I wrote was failing without this.

zmike updated this revision to Diff 28668.Jan 29 2020, 11:21 AM
zmike edited the summary of this revision. (Show Details)

rebase/rework

cedric accepted this revision.Jan 29 2020, 2:36 PM
This revision is now accepted and ready to land.Jan 29 2020, 2:36 PM
Closed by commit rEFL12a064874efe: evas/events: fix multi-touch object targeting on touch down events (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 5 2020, 1:14 AM
This revision was automatically updated to reflect the committed changes.